using System;

internal sealed class Delegate186 : MulticastDelegate
{
	public extern long Invoke(object object_0);

	public static long smethod_0(object object_0, Delegate186 delegate186_1)
	{
		return delegate186_1(object_0);
	}

	public extern Delegate186(object object_0, IntPtr intptr_0);

	static Delegate186()
	{
		Class10.smethod_13(typeof(Delegate186).TypeHandle);
	}

	internal static Delegate186 delegate186_0;
}
